Bug 167683 - automount does not understand '//host/share', just '\/\/host/share' with CIFS and SMBFS
automount does not understand '//host/share', just '\/\/host/share' with CIFS...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-06 22:35 EDT by CTAC
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 21:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CTAC 2005-09-06 22:35:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
automount does not understand //hostname in its config files, which is needed by mount.cifs and mount.smbfs
I found a "solution", but I don't like it:
use \/\/hostname in /etc/auto.misc file


Version-Release number of selected component (if applicable):
autofs-4.1.3-114
samba-client-3.0.14a-2.1.fc3.kde

How reproducible:
Always

Steps to Reproduce:
1. put following line in /etc/auto.misc file:
share  -fstype=cifs                                                                                                     //HOST/SHARE
(of course, I hope that you have host HOST with share SHARE and you can make
mount -t cifs //HOST/SHARE /misc/share)

2. ls /misc/share 
  

Actual Results:  in /var/log/messages:
automount[1624]: mount(generic): failed to mount  (type cifs) on /misc/share/HOST/share

Expected Results:  //HOST/SHARE mounted in /misc/share
;-)

Additional info:

Same results with -fstype=smb
I don't know how is it connected with bug  No.127801?
Comment 1 CTAC 2005-09-06 22:38:26 EDT
And 2nd, should I create another bug report for 
"automount[1422]: handle_packet_missing: path to be mounted is to long"
When I name mountpoint in auto.misc with cyrillic letters (KOI8-R)?
Comment 2 Jeffrey Moyer 2005-09-07 10:00:09 EDT
This looks different from 127801.  I'll post this upstream, to see what the
maintainer thinks.

As for the cyrillic letters, please file a separate bug.  Thank you!
Comment 3 Jeffrey Moyer 2005-09-07 11:32:41 EDT
Instead of using \/\/, I think you can do ://HOST/SHARE.  Could you try this,
and let me know if it a) works, and b) is an acceptable solution for you?

Thanks!
Comment 4 CTAC 2005-09-07 21:17:11 EDT
O!!!
Sorry, that was a my bug:
man 5 autofs:
 If the filesystem to be mounted begins with  a  /  (such  as
       local  /dev  entries  or  smbfs shares) a : needs to be prefixed (e.g.
       :/dev/sda1).

--
But somewhere in docs I've read that : before share designates LOCAL mount,
instead of remote (network)

Note You need to log in before you can comment on or make changes to this bug.